Bug 43761 - Local accounts don't get priority over NIS accounts.
Local accounts don't get priority over NIS accounts.
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: ypbind (Show other bugs)
7.1
All Linux
medium Severity medium
: ---
: ---
Assigned To: Florian La Roche
Aaron Brown
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-06-06 22:33 EDT by Ian Mortimer
Modified: 2007-04-18 12:33 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-06-06 22:33:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ian Mortimer 2001-06-06 22:33:51 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.77 [en] (X11; U; Linux 2.4.2-2 i686)

Description of problem:
If you have a local account defined in /etc/passwd it is ignored in favour
of the NIS account.  This is a change from previous behaviour and
contradicts /etc/nsswitch.conf which has:

   passwd:    files nis

You can get it to work as before by changing /etc/nsswitch.conf to:

   passwd:    files compat

and adding +::0:0::: to the end of /etc/passwd.

How reproducible:
Always

Steps to Reproduce:
1. stop ypbind
2. create a local account for a user in the NIS passwd database
3. start ypbind
4. login as that user or try to change the password. 
	

Actual Results:  You will be logged in with the password and account
details of the NIS user rather than the locally defined user .  If you try
to change the password it will want to change it on the NIS server rather
than locally.

Expected Results:  The local account should take priority over NIS as
specified in /etc/nsswitch.conf (or at least that was the previous
behaviour).  
This change is not documented anywhere as far as I can tell.

Additional info:
Comment 1 Ian Mortimer 2001-06-07 18:01:38 EDT
I did some quick testing yesterday after a report from a remote site but the
information I had was wrong and I came to wrong conclusion.  This is not a
problem with ypbind but with passwd.  Please ignore this bug report.  I'll
register as a bug with passwd.

Note You need to log in before you can comment on or make changes to this bug.